/**
  ******************************************************************************
  * @file    tecsploit utilities library
  * @author  Lee Dyche - Tecsploit.com
  * @version V1.0.0
  * @date    21/03/2014
  * @brief   tecsploit utilities library
  ******************************************************************************
  * @attention
  * This is program is provided as is with no warranty!!
  ******************************************************************************
  */
#include "TecsploitUtils.h"

void ts_itoa(char **buf, unsigned int d, int base)
{
	int div = 1;
	while (d/div >= base)
		div *= base;

	while (div != 0)
	{
		int num = d/div;
		d = d%div;
		div /= base;
		if (num > 9)
			*((*buf)++) = (num-10) + 'A';
		else
			*((*buf)++) = num + '0';
	}
}

int compare(char a[], char b[])
{
   int c = 0;

   while( a[c] == b[c] )
   {
      if( a[c] == '\0' || b[c] == '\0' )
         break;
      c++;
   }
   if( a[c] == '\0' && b[c] == '\0' )
      return 0;
   else
      return -1;
}

